<script setup lang="ts">
import { useNavStore } from '@/stores/navigation'
import { onMounted } from 'vue'
import { useRouter } from 'vue-router'

const navStore = useNavStore()
const router = useRouter()
const goBack = () => {
  router.push('/login')
}

onMounted(() => {
  navStore.hideNavLayout()
})
</script>

<template>
  <v-container class="pa-0" fill-height>
    <v-row>
      <v-col cols="12" md="12" sm="6">
        <h1 class="text-center mt-4 text-h1 pt-16 mt-16">403</h1>
        <h1 style="color: red" class="text-center pb-10">Access Denied</h1>
        <v-icon size="150" color="red" class="mx-auto d-flex">mdi-hand-back-left</v-icon>
        <h3 class="text-center pt-16 pb-16">You don't have permission to access this page.</h3>
        <v-btn
          variant="outlined"
          color="red"
          size="x-large"
          rounded="lg"
          prepend-icon="mdi-arrow-left-circle"
          append-icon="mdi-home"
          class="mx-auto d-flex"
          @click="goBack"
          >GO TO HOMEPAGE</v-btn
        >
      </v-col>
    </v-row>
  </v-container>
</template>
